# DVote example

This plugin uses Go bindings to make native cryptographic computations and interact with Vocdoni decentralized votes

## Getting Started
Import the Dart library on your project and use the static functions available on the `Dvote` class

```dart
import 'package:dvote/dvote.dart';

final mnemonic = await Dvote.generateMnemonic();
final privKey = await Dvote.mnemonicToPrivateKey(mnemonic, hdPath: "m/44'/60'/0'/0/5");
final pubKey = await Dvote.mnemonicToPublicKey(mnemonic);
final addr = await Dvote.mnemonicToAddress(mnemonic);

final encrypted = await Dvote.encryptString(myText, myPassphrase);
final decrypted = await Dvote.decryptString(encrypted, myPassphrase);
```
