import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:dvote/dvote.dart';
import 'package:dvote/gateway.dart';

void main() {
  hdWallet();
  vocGateway();
  web3Gateway();
}

void hdWallet() {
  const MethodChannel channel = MethodChannel('dvote');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '0xbf0177fac1aad0cba87e5c0f54742fae36d69fff';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('mnemonicToAddress', () async {
    expect(
        await Dvote.mnemonicToAddress(
            'master lift organ scale accuse under head grace deny panic apart check',
            hdPath: "m/44'/60'/0'/0/0"),
        '0xbf0177fac1aad0cba87e5c0f54742fae36d69fff');
  });
}

void vocGateway() async {
  VocGateway gw = new VocGateway("wss://echo.websocket.org");
  final response = await gw.request({"hello": 123});
  print(response);

  await Future.delayed(Duration(seconds: 2));
  gw.disconnect();
}

void web3Gateway() {}
